Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class StyleBook

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Java
                  |
                  +--org.apache.tools.ant.taskdefs.optional.StyleBook

public class StyleBook
extends Java

Basic task for apache stylebook.

Author:
  Peter Donald

Field Summary
`protected java.io.File` | `m_book`
`protected java.io.File` | `m_skinDirectory`
`protected java.io.File` | `m_targetDirectory`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`StyleBook()`

Method Summary
`void` | `execute()` Do the execution.
`void` | `setBook(java.io.File book)`
`void` | `setSkinDirectory(java.io.File skinDirectory)`
`void` | `setTargetDirectory(java.io.File targetDirectory)`

Methods inherited from class org.apache.tools.ant.taskdefs.Java
`addSysproperty, clearArgs, createArg, createClasspath, createJvmarg, executeJava, run, setArgs, setClassname, setClasspath, setClasspathRef, setDir, setFailonerror, setFork, setJvm, setJvmargs, setMaxmemory, setOutput`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_targetDirectory

    protected java.io.File m_targetDirectory

### m_skinDirectory

    protected java.io.File m_skinDirectory

### m_book

    protected java.io.File m_book

Constructor Detail

### StyleBook

    public StyleBook()

Method Detail

### setBook

    public void setBook(java.io.File book)

### setSkinDirectory

    public void setSkinDirectory(java.io.File skinDirectory)

### setTargetDirectory

    public void setTargetDirectory(java.io.File targetDirectory)

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Java`
  Do the execution.
  Overrides:
    `execute` in class `Java`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.